---
title: "Get Form by Alias"
url: "https://developer.migros.ch/apis/formigros-prod-0/versions/faa90b75-6b09-429a-b360-2bb77556bb04/operations/getFormByAlias"
---

> Full API specification: https://developer.migros.ch/apis/formigros-prod-0/versions/faa90b75-6b09-429a-b360-2bb77556bb04.md

# Get Form by Alias

`GET` `/migros/forms/v1/{formPath}`

Operation ID: `getFormByAlias`

This will retrieve a form by providing its path alias.

## Path parameters

- `formPath` (string, required) - Form Alias

## Responses

- `200` - Get Form by Alias

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Formigros PROD
  version: 0.0.1
servers:
  - url: https://api.migros.ch
paths:
  /migros/forms/v1/{formPath}:
    get:
      description: This will retrieve a form by providing its path alias.
      operationId: getFormByAlias
      parameters:
        - description: Form Alias
          in: path
          name: formPath
          required: true
          schema:
            example: AmazingContactForm
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  _id:
                    example: 5fc7c25a2a992abe68b247b4
                    type: string
                  _vid:
                    example: 0
                    type: number
                  access:
                    example:
                      - roles:
                          - 5fc7befe2a992abe68b24766
                          - 5fc7befe2a992abe68b24767
                          - 5fc7befe2a992abe68b24768
                        type: read_all
                    items:
                      properties:
                        roles:
                          example:
                            - 5fc7befe2a992abe68b24766
                            - 5fc7befe2a992abe68b24767
                            - 5fc7befe2a992abe68b24768
                          items:
                            example: 5fc7befe2a992abe68b24766
                            type: string
                          type: array
                        type:
                          example: read_all
                          type: string
                      type: object
                    type: array
                  components:
                    items:
                      properties:
                        action:
                          example: submit
                          type: string
                        block:
                          example: false
                          type: boolean
                        conditional:
                          properties:
                            eq:
                              example: ""
                              type: string
                            show:
                              example: ""
                              type: string
                            when:
                              example: null
                              nullable: true
                              type: string
                          type: object
                        defaultValue:
                          example: ""
                          type: string
                        disableOnInvalid:
                          example: false
                          type: boolean
                        input:
                          example: true
                          type: boolean
                        inputMask:
                          example: ""
                          type: string
                        inputType:
                          example: text
                          type: string
                        isNew:
                          example: false
                          type: boolean
                        key:
                          example: firstName
                          type: string
                        kickbox:
                          properties:
                            enabled:
                              example: false
                              type: boolean
                          type: object
                        label:
                          example: First Name
                          type: string
                        leftIcon:
                          example: ""
                          type: string
                        lockKey:
                          example: true
                          type: boolean
                        multiple:
                          example: false
                          type: boolean
                        persistent:
                          example: true
                          type: boolean
                        placeholder:
                          example: ""
                          type: string
                        prefix:
                          example: ""
                          type: string
                        protected:
                          example: false
                          type: boolean
                        rightIcon:
                          example: ""
                          type: string
                        size:
                          example: md
                          type: string
                        suffix:
                          example: ""
                          type: string
                        tableView:
                          example: true
                          type: boolean
                        tags:
                          example: []
                          items: {}
                          type: array
                        theme:
                          example: primary
                          type: string
                        type:
                          example: textfield
                          type: string
                        unique:
                          example: false
                          type: boolean
                        validate:
                          properties:
                            custom:
                              example: ""
                              type: string
                            customPrivate:
                              example: false
                              type: boolean
                            maxLength:
                              example: ""
                              type: string
                            minLength:
                              example: ""
                              type: string
                            pattern:
                              example: ""
                              type: string
                            required:
                              example: true
                              type: boolean
                          type: object
                      type: object
                    type: array
                  created:
                    example: 2020-12-02T16:35:38.683Z
                    type: string
                  display:
                    example: form
                    type: string
                  machineName:
                    example: proj366:synthesize
                    type: string
                  modified:
                    example: 2020-12-02T16:35:38.687Z
                    type: string
                  name:
                    example: synthesize
                    type: string
                  owner:
                    example: 5fc7beeb2a992abe68b2475c
                    type: string
                  path:
                    example: iterate
                    type: string
                  project:
                    example: 5fc7befe2a992abe68b24765
                    type: string
                  revisions:
                    example: ""
                    type: string
                  submissionAccess:
                    example: []
                    items: {}
                    type: array
                  tags:
                    example: []
                    items: {}
                    type: array
                  title:
                    example: navigating
                    type: string
                  type:
                    example: form
                    type: string
                type: object
          description: Get Form by Alias
      summary: Get Form by Alias
      tags:
        - Form API
```
